public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: dhcpcd-and-similar: Adjust test relevancy
Date: Fri, 11 Sep 2026 13:22:33 GMT [thread overview]
Message-ID: <178913295365.1.11968482435109204726.tests-selinux-2215420c41b0@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 2215420c41b087a57646c0ea2ec96d89f7fe0f95
Author : Stepan Broz <sbroz@redhat.com>
Date : 2025-04-17T15:48:32+00:00
Stats : +6/-4 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/2215420c41b087a57646c0ea2ec96d89f7fe0f95?branch=pr775-checkpolicy-revdeps
Log:
dhcpcd-and-similar: Adjust test relevancy
Do not test "bz#2269708 + bz#2270733" on RHEL 9.4 and lower.
---
diff --git a/selinux-policy/dhcpcd-and-similar/runtest.sh b/selinux-policy/dhcpcd-and-similar/runtest.sh
index ba9ea50..38218ea 100755
--- a/selinux-policy/dhcpcd-and-similar/runtest.sh
+++ b/selinux-policy/dhcpcd-and-similar/runtest.sh
@@ -91,7 +91,7 @@ rlJournalStart
rlPhaseEnd
fi
- if ! rlIsRHEL 8 ; then
+ if ! rlIsRHEL 8 && ! ( rlIsRHEL 9 && rlIsRHEL "<9.5" ); then
rlPhaseStartTest "bz#2269708 + bz#2270733"
rlSEMatchPathCon "/run/netns" "ifconfig_var_run_t"
rlSESearchRule "allow dhcpc_t ifconfig_var_run_t : dir { read } [ ]"
@@ -110,9 +110,11 @@ rlJournalStart
fi
rlPhaseStartTest "real scenario -- standalone service"
- rlRun "ip netns add test-ns"
- rlRun "ip netns del test-ns"
- rlRun "ls -lZR /run/netns"
+ if ! rlIsRHEL "<9.5" ; then
+ rlRun "ip netns add test-ns"
+ rlRun "ip netns del test-ns"
+ rlRun "ls -lZR /run/netns"
+ fi
rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
if ! rlSEDefined ${PROCESS_CONTEXT} ; then
if rlIsRHEL 5 6 ; then
reply other threads:[~2026-09-11 13:22 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913295365.1.11968482435109204726.tests-selinux-2215420c41b0@fedoraproject.org \
--to=sbroz@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox